#!/bin/sh

if [ "$1" = "-T" ]; then
	echo -n "(c) ISPsystem.com"
	exit 0
fi

. /usr/local/mgr5/lib/pkgsh/core_pkg_funcs.sh

tmpfile=/tmp/$$.repo

if [ "${OSTYPE}" = "REDHAT" ]; then
	wget -q -O ${tmpfile} "http://download.ispsystem.com/repo/centos/ispsystem5.repo"
	cat ${tmpfile}
else
	wget -q -O ${tmpfile} "http://download.ispsystem.com/repo/debian/ispsystem5.list"
	cat ${tmpfile} | sed -r "s/__CODENAME__/$(lsb_release -c -s)/g; s/__OSNAME__/$(lsb_release -s -i| awk '{print tolower($0)}')/g"
fi

